package tp03;

public class Card{
    Color color;
    Rank rank;

    Card(Color color, Rank rank){
        this.color=color;
        this.rank=rank;
    }

    Card(String color, String rank){
        this.color = Color.valueOf(color);
        this.rank = Rank.valueOf(rank);
    }

    Color getColor(){
        return this.color;
    }

    Rank getRank(){
        return this.rank;
    }

    Boolean equals(Card other){
        if(this.color == other.color && this.rank == other.rank){
            return true;
        }
        return false;
    }

    public String toString(){
        return "couleur = " + this.color + ", rang = " + rank;
    }
}